ONVIF::Device::Elements::GetHostnameResponse(3pm)

NAME
ONVIF::Device::Elements::GetHostnameResponse

DESCRIPTION
Perl data type class for the XML Schema defined element GetHostnameResponse from the namespace http://www.onvif.org/ver10/device/wsdl.

PROPERTIES
The following properties may be accessed using get_PROPERTY / set_PROPERTY methods:

•   HostnameInformation

     $element->set_HostnameInformation($data);
     $element->get_HostnameInformation();

METHODS

  new
 my $element = ONVIF::Device::Elements::GetHostnameResponse->new($data);

Constructor. The following data structure may be passed to new():

 {
   HostnameInformation =>  { # ONVIF::Device::Types::HostnameInformation
     FromDHCP =>  $some_value, # boolean
     Name =>  $some_value, # token
     Extension =>  { # ONVIF::Device::Types::HostnameInformationExtension
     },
   },
 },

AUTHOR
Generated by SOAP::WSDL